#!/bin/bash

#
# Copyright 2015 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

# Configure the PHYs connected to the GigE  and SFP+ ports to:
# a) Take the module out of reset

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg " Move PHYs out of reset.."

# Reset PHY Register 1 (Read/Write) 0x19
# Bit 7  - RST Mgmt PHY
# Bit 6  - RST 10G PHY
# Bit 5  - RST 1G PHY 6
# Bit 4  - RST 1G PHY 5
# Bit 3  - RST 1G PHY 4
# Bit 2  - RST 1G PHY 3
# Bit 1  - RST 1G PHY 2
# Bit 0  - RST 1G PHY 1
# Default value: _0111_1111
 
echo 0 > /sys/bus/i2c/devices/0-0030/1g_phy1_reset
echo 0 > /sys/bus/i2c/devices/0-0030/1g_phy2_reset
echo 0 > /sys/bus/i2c/devices/0-0030/1g_phy3_reset
echo 0 > /sys/bus/i2c/devices/0-0030/1g_phy4_reset
echo 0 > /sys/bus/i2c/devices/0-0030/1g_phy5_reset
echo 0 > /sys/bus/i2c/devices/0-0030/1g_phy6_reset
echo 0 > /sys/bus/i2c/devices/0-0030/10g_phy_reset
echo 0 > /sys/bus/i2c/devices/0-0030/mgmt_phy_reset
