#!/bin/sh

# Copyright 2017 Cumulus Networks, Inc. All rights reserved.

# Invoked by cumulus-platform.service during boot

# The purpose of this script is to be sure the hwclock has set the
# system date to a reasonable date.  This platform has a very short
# poweroff time before the RTC loses it's setting

# This value is set during the build; it's the pkg build time in seconds.
DEF_DATE=1581473876

curdate=$(date +%s)

[ $curdate -ge $DEF_DATE ] && exit 0

date +'Correcting system date from %F %T'

date -s @$DEF_DATE
hwclock -w
hwclock -r
