#!/bin/sh

#
# Copyright (c) 2018 Cumulus Networks, Inc.  All rights reserved.
#

# Initialize QSFP28 port LEDs (49-54) to use green

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing Port LEDs ..."

sysfs_cpld="/sys/bus/platform/devices/accton_as7312_54x_cpld.0"

leds_init()
{
	# we are setting a three byte RGB value. We want all green so
	# we will use 0xc0ff80 which I found was a little more pleasant
        # and a more link-LED like green than just using pure green 0x00ff00
	led_path=${sysfs_cpld}/port_leds_rgb
	[ -w "${led_path}" ] || {
		log_failure_msg "Unable to find port led sysfs control: ${led_path}"
		exit 1
	}
	echo 0xc0ff80 > $led_path
}

case "$1" in
  start)
	leds_init
	;;
  *)
	;;
esac
