#!/bin/sh

#
# Copyright (c) 2018 Cumulus Networks, Inc.  All rights reserved.
#

# Turn off the fan board pwm watchdog

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing Fan Board ..."

sysfs_cpld="/sys/bus/platform/devices/accton_as7326_56x_cpld.0"

# Sanity checking:
fan_path=${sysfs_cpld}/fan_cpld_wd_enable
[ -w "${fan_path}" ] || {
	log_failure_msg "Unable to find fan watchdog sysfs control: ${fan_path}"
	exit 1
}
# Disable fan CPLD's watchdog timer
echo 0 > ${fan_path}

