#!/bin/bash

#
# Copyright 2018 Cumulus Networks, Inc.
# All rights reserved.
#
# Invoked by /etc/init.d/hw_init


# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing SFPs.."

sysfs_cpld="/sys/bus/platform/devices/accton_as7326_56x_cpld.0"

[ -w "${sysfs_cpld}/sfp28_tx_disable" ] || {
        log_failure_msg "Unable to find writable sysfs file: ${sysfs_cpld}/sfp_tx_disable"
        exit 1
}

# Enable transmit on all 48 SFP ports
echo 0 > ${sysfs_cpld}/sfp28_tx_disable
