#!/bin/sh

#
# Copyright 2018 Cumulus Networks, Inc.
# All rights reserved.
#


#==================================
# Script to take QSFPs out of reset.
# Invoked by /etc/init.d/hw_init.
#==================================

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing QSFPs..."

sysfs_cpld="/sys/devices/platform/accton_as7326_56x_cpld.0"

[ -w "${sysfs_cpld}/qsfp_reset" ] || {
        log_failure_msg "Unable to find writable qsfp_reset sysfs file"
	exit 1
}

# - take QSFP modules out of reset
echo 0x0 > "${sysfs_cpld}/qsfp_reset"
