#!/bin/sh

#
# Copyright 2018 Cumulus Networks, Inc.
# All rights reserved.
#

# Script to disable Fan CPLD watchdog
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "Disabling fan CPLD's watchdog timer..."

sysfs_cpld="/sys/devices/platform/accton_as7726_32x_cpld.0"

[ -w "${sysfs_cpld}/fan_cpld_wd_enable" ] || {
        log_failure_msg "Unable to find writable fan_cpld_wd sysfs file"
	exit 1
}

# Disable fan CPLD's watchdog timer
echo 0x0 > "${sysfs_cpld}/fan_cpld_wd_enable"
