#! /usr/bin/python
# Copyright 2016 Cumulus Networks, Inc.
# All rights reserved

#############################################################################
# Platform and model specific eeprom subclass, inherits from the base class,
# and provides the followings:
# - the eeprom format definition
# - specific encoder/decoder if there is special need
#

try:
    import exceptions
    import binascii
    import time
    import optparse
    import warnings
    import os
    import sys
    import subprocess
    import tempfile
    import struct
    import eeprom_base
    import eeprom_tlvinfo
    import eeprom_sysfs
except ImportError, e:
    raise ImportError (str(e) + "- required module not found")

#
# base board
#
class board(eeprom_tlvinfo.TlvInfoDecoder):

    EEPROM_MAX_SIZE = 0x100
    EEPROM_OFFSET = 0

    def __init__(self, name, path, cpld_root, ro):
        super(board, self).__init__(path,
                                    self.EEPROM_OFFSET,
                                    "",
                                    ro,
                                    self.EEPROM_MAX_SIZE)

    def add_mac(self, mac, value):
        if mac != "":
            mac_octets = []
            mac_octets = mac.split(':')
            ret_mac = int(mac_octets[5], 16) | int(mac_octets[4], 16) << 8 | int(mac_octets[3], 16) << 16
            ret_mac = ret_mac + value

            if (ret_mac & 0xff000000):
                print 'Error: increment carries into OUI'
                return ''

            mac_octets[5] = hex(ret_mac & 0xff)[2:].zfill(2)
            mac_octets[4] = hex((ret_mac >> 8) & 0xff)[2:].zfill(2)
            mac_octets[3] = hex((ret_mac >> 16) & 0xff)[2:].zfill(2)

            return ':'.join(mac_octets)

        return ''
        
    def switchaddrstr(self, e):
        return self.add_mac(self.base_mac_addr(e), 3)
