#! /usr/bin/python
#--------------------------------------------------------------------------
#
# Copyright 2014 Cumulus Networks, inc  all rights reserved
#
#--------------------------------------------------------------------------
try:
    from cumulus.sfputilbase import sfputilbase
except ImportError, e:
    raise ImportError (str(e) + "- required module not found")


class sfputil(sfputilbase):
    """Celestica Redstone XP class for sfp utility."""
    port_start = 1
    port_end = 54

    _qsfp_ports = [49, 50, 51, 52, 53, 54]

    def __init__(self, port_num):
        self.port_num = port_num
        self._bcm_port = self._get_bcm_port(port_num)
        self.eeprom_ifraw = None
        self.eeprom_domraw = None

        if self.is_valid_port(port_num) == 0:
            print 'Error: Invalid port num'
            return None

        # Read interface id eeprom at addr 0x50
        self.eeprom_ifraw = self._read_eeprom_devid(port_num,
                                        self._identity_eeprom_addr, 0)
        # Read dom eeprom at addr 0x50 offset 0x100
        self.eeprom_domraw = self._read_eeprom_devid(port_num,
                                        self._identity_eeprom_addr, 0x100)
