#!/bin/sh

#
# Copyright (c) 2015, 2017 Cumulus Networks, Inc.  All rights reserved.
#

# Invoked by /etc/init.d/hw_init

# Configure the GPIOs connected to the SFP+ ports
#
# 4 x SFP+ ports
# ===============
# Set TX_ENABLE to 1
#

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing SFP+ GPIOs..."

sysfs_gpio="/sys/class/gpio"

# 4 x SFP+ ports
# ===============
for f in 1 2 3 4 ; do
    # Sanity checking:
    if [ -w "${sysfs_gpio}/sfp${f}_tx_enable/value" ] ; then
        # Set TX_ENABLE to 1
        echo 1 > "${sysfs_gpio}/sfp${f}_tx_enable/value"
    else
        log_failure_msg "Unable to find writable SFP+ sysfs control: ${sysfs_gpio}/sfp${f}_tx_enable/value"
    fi
done

