#! /usr/bin/python
# Copyright (c) 2017, 2018 Cumulus Networks, Inc.  All Rights Reserved

#############################################################################
# Platform and model specific eeprom subclass, inherits from the base class,
# and provides the followings:
# - the eeprom format definition
# - specific encoder/decoder if there is special need
#

try:
    import eeprom_tlvinfo
except ImportError, e:
    raise ImportError (str(e) + "- required module not found")

# Current TLV based EEPROM format
class board_tlv_format(eeprom_tlvinfo.TlvInfoDecoder):

    EEPROM_MAX_SIZE = 0x2000

    def __init__(self, name, path, cpld_root, ro):
        super(board_tlv_format, self).__init__(path, 0, "", ro, self.EEPROM_MAX_SIZE)

def board(name, path, cpld_root, ro):
    return board_tlv_format(name, path, cpld_root, ro)

