#!/bin/sh                                                                                                                        

#
# Copyright (c) 2018 Cumulus Networks, Inc.
# All rights reserved.
#

echo "  Initializing SFP28 and QSFP28 ports..."

cpld_path="/sys/devices/platform/cel_questone_cpld.0"

# Deassert tx_disable for all SFP28 ports

if [ -f ${cpld_path}/sfp28_48_1_tx_disable ]; then
    echo 0x00 > ${cpld_path}/sfp28_48_1_tx_disable
else
    echo "Unable to find ${cpld_path}/sfp28_48_1_tx_disable sysfs file"
fi

# Reset and deassert lpmode for all QSFP28 ports

if [ -f ${cpld_path}/qsfp28_54_49_reset ]; then
    echo 0x3F > ${cpld_path}/qsfp28_54_49_reset
    sleep .1
    echo 0x00 > ${cpld_path}/qsfp28_54_49_reset
else
    echo "Unable to find ${cpld_path}/qsfp28_54_49_reset sysfs file"
fi

if [ -f ${cpld_path}/qsfp28_54_49_lpmode ]; then
    echo 0x00 > ${cpld_path}/qsfp28_54_49_lpmode
else
    echo "Unable to find ${cpld_path}/qsfp28_54_49_lpmode sysfs file"
fi

