#!/bin/bash

#
# Copyright 2014 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing QSFPs.."

#
# take the QSFP ports out of error LED mode
#
echo 0xffffff > /sys/bus/platform/devices/cel_redstone_xp_cpld.0/qsfp_led_error

#
# set the QSFP LED mode register in the cpld so that all QSFP
# ports use all 4 LEDs
#
echo 0 > /sys/bus/platform/devices/cel_redstone_xp_cpld.0/qsfp_led_mode

#
# set all qsfp ports to high power mode
#
echo 0 > /sys/bus/platform/devices/cel_redstone_xp_cpld.0/qsfp_lp_mode
