#!/bin/bash

#
# Copyright 2017 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing QSFPs.."

# disable lpmode and un-reset all QSFP ports
#
sysfs_cpld="/sys/bus/platform/devices/cel_redstone_xp_b_cpld.0"

for f in qsfp_lp_mode qsfp_reset ; do
	[ -w $sysfs_cpld/$f ] || {
		echo "fail"
		log_failure_msg "Unable to find writable sysfs file $f"
		exit 1
	}
done

echo 0 > $sysfs_cpld/qsfp_lp_mode
echo 0 > $sysfs_cpld/qsfp_reset
