#! /usr/bin/python

# Copyright (c) 2019 Cumulus Networks, Inc.  All rights reserved

#############################################################################
# Platform and model specific eeprom subclass, inherits from the base class,
# and provides the followings:
# - the eeprom format definition
# - specific encoder/decoder if there is special need
#

try:
    import eeprom_base
    import eeprom_tlvinfo
    import eeprom_ipmi_fru
except ImportError, e:
    raise ImportError(str(e) + "- required module not found")

#
# (cpu) board
#
class board(eeprom_tlvinfo.TlvInfoDecoder):
    EEPROM_MAX_SIZE = 0x2000

    def __init__(self, name, path, cpld_root, ro):
        super(board, self).__init__(path,
                                    0,
                                    "",
                                    ro,
                                    self.EEPROM_MAX_SIZE)

