#!/bin/sh

#
# Copyright (c) 2019 Cumulus Networks, Inc.  All rights reserved.
#

echo "  Initializing SFF Pluggables..."

nproc=`/usr/bin/nproc`

if [ $nproc -eq 4 ]; then
    sysfsbase="/sys/devices/pci0000:00/0000:00:10.0/0000:03:00.0"
else # default to 2
    sysfsbase="/sys/devices/pci0000:00/0000:00:10.0/0000:02:00.0"
fi

# reset all QSFP28 ports

for i in `seq 1 32` ; do
    echo 1 > ${sysfsbase}/port${i}_reset
done
sleep .1
for i in `seq 1 32` ; do
    echo 0 > ${sysfsbase}/port${i}_reset
done

# disable lpmode for all QSFP28 ports
                                                                                                                                      
for i in `seq 1 32` ; do
    echo 0 > ${sysfsbase}/port${i}_lpmode
done


