#!/bin/sh

#
#   Copyright (C) 2018 Cumulus Networks, Inc. All rights reserved
#
#   This software is subject to the Cumulus Networks End User License
#   Agreement available  at the following locations:
#
#   Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
#   Cumulus Linux systems: /usr/share/cumulus/EULA.txt
#

#==================================
# Script to take QSFPs out of reset.
# Invoked by /etc/init.d/hw_init.
#==================================

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing QSFPs..."

sysfs_cpld="/sys/bus/i2c/devices/0-0039"

[ -w "${sysfs_cpld}/qsfp_reset" ] || {
        log_failure_msg "Unable to find writable qsfp_reset sysfs file"
        exit 1
}

# - take QSFP modules out of reset
echo 0x0 > "${sysfs_cpld}/qsfp_reset"

[ -w "${sysfs_cpld}/qsfp_lpmode" ] || {
        log_failure_msg "Unable to find writable qsfp_lpmode sysfs file"
        exit 1
}

# - disable low power mode on QSFPs
echo 0x0 > "${sysfs_cpld}/qsfp_lpmode"
