#!/bin/bash

#
# Copyright 2014 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing CPLD.."

# master LED is off by default, being explicit.
echo off > /sys/bus/platform/devices/dell_s3000_cpld.0/led_system_master

# Different CPLD versions have the PHY reset bit set as 0 or 1 by default.
# explicitly setting the reset as 0, i.e., PHY is out of reset.
echo 0 > /sys/bus/platform/devices/dell_s3000_cpld.0/reset_phy

# Explicitly set the SFP+ rate to 10G so that the LEDs blink correctly.
echo 0xF > /sys/bus/platform/devices/dell_s3000_cpld.0/sfp_rate
