#!/bin/sh

#
# Copyright (c) 2017 Cumulus Networks, Inc.  All rights reserved.
#

# Configure the MAC address for eth0, using the board EEPROM for the
# MAC address.

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

config_eth0()
{
    mac=$(decode-syseeprom -m) || {
        log_failure_msg "could not find eth0 MAC address in EEPROM"
        return 1
    }
    # Set MAC addr on eth0, but leave the interfaces down.
    ip link set dev eth0 address $mac || {
        log_failure_msg "could not set eth0 MAC address to $mac"
        return 1
    }
}

case "$1" in
  start)
        config_eth0
	;;
  *)
	;;
esac
