#! /usr/bin/python
# Copyright (c) 2019 Cumulus Networks, Inc.
# All rights reserved

#############################################################################
# Platform and model specific eeprom subclass, inherits from the base class,
# and provides the followings:
# - the eeprom format definition
# - specific encoder/decoder if there is special need
#

try:
    import os
    import eeprom_base
    import eeprom_tlvinfo
    import eeprom_sysfs
except ImportError, e:
    raise ImportError (str(e) + "- required module not found")

#
# base board
#
class board(eeprom_tlvinfo.TlvInfoDecoder):

    EEPROM_MAX_SIZE = 0x100
    EEPROM_OFFSET = 0x0

    def __init__(self, name, path, cpld_root, ro):
        super(board, self).__init__(path,
                                    self.EEPROM_OFFSET,
                                    "",
                                    ro,
                                    self.EEPROM_MAX_SIZE)
    '''
    Increment the base mac address in system EEPROM by 2 and use
    that as the first address when assigning to front panel ports.
    This is needed to avoid conflict with the BMC on this switch
    which has base_mac + 1 address burnt in at the factory.
    '''
    def switchaddrstr(self, e):
        return self.add_mac(self.base_mac_addr(e), 2)

