#!/bin/bash

#
# Copyright (c) 2019 Cumulus Networks, Inc.  All rights reserved.
#

echo "  Initializing SFF Pluggables..."

sysfsbase="/sys/devices/pci0000:00/0000:00:0c.0/0000:04:00.0"

# disable tx_disable for all SFP28 ports
for i in `seq 1 96` ; do
    echo 1 > ${sysfsbase}/port${i}_tx_enable
done

# reset all QSFP28 ports
for i in `seq 97 104` ; do
    echo 1 > ${sysfsbase}/port${i}_reset
done
sleep .1
for i in `seq 97 104` ; do
    echo 0 > ${sysfsbase}/port${i}_reset
done

# disable lpmode and enable modsel for all QSFP28 ports
for i in `seq 97 104` ; do
    echo 0 > ${sysfsbase}/port${i}_lpmode
    echo 1 > ${sysfsbase}/port${i}_modsel
done

