#! /usr/bin/python

# Copyright (c) 2018 Cumulus Networks, Inc.  All rights reserved

#############################################################################
# Platform and model specific eeprom subclass, inherits from the base class,
# and provides the followings:
# - the eeprom format definition
# - specific encoder/decoder if there is special need
#

try:
    import os
    import eeprom_tlvinfo
    import eeprom_sysfs
except ImportError, e:
    raise ImportError (str(e) + "- required module not found")


# base board
class board(eeprom_tlvinfo.TlvInfoDecoder):
    EEPROM_MAX_SIZE = 0x100
    EEPROM_OFFSET = 0x0

    def __init__(self, name, path, cpld_root, ro):
        super(board, self).__init__(path,
                                    self.EEPROM_OFFSET,
                                    "",
                                    ro,
                                    self.EEPROM_MAX_SIZE)

# fans
class fan(eeprom_tlvinfo.TlvInfoDecoder):
    EEPROM_MAX_SIZE = 0x100
    EEPROM_OFFSET = 0xa0

    def __init__(self, name, path, cpld_root, ro):
        super(fan, self).__init__(path,
                                  self.EEPROM_OFFSET,
                                  "",
                                  ro,
                                  self.EEPROM_MAX_SIZE)

# psus
class psu(eeprom_tlvinfo.TlvInfoDecoder):
    EEPROM_MAX_SIZE = 0x100
    EEPROM_OFFSET = 0xa0

    def __init__(self, name, path, cpld_root, ro):
        super(psu, self).__init__(path,
                                  self.EEPROM_OFFSET,
                                  "",
                                  ro,
                                  self.EEPROM_MAX_SIZE)
