#!/bin/bash

#
# Copyright 2019 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

echo $0: "  Initializing Fans.."

fan_hwmon_path=/sys/bus/i2c/devices/1-002c/hwmon/hwmon2

# Enable Masks
echo 1 > ${fan_hwmon_path}/ch1_alert_disable
echo 1 > ${fan_hwmon_path}/ch2_alert_disable
echo 1 > ${fan_hwmon_path}/ch1_ot_disable
echo 1 > ${fan_hwmon_path}/ch2_ot_disable
echo 1 > ${fan_hwmon_path}/ch1_therm_disable
echo 1 > ${fan_hwmon_path}/ch2_therm_disable
echo 0 > ${fan_hwmon_path}/fan1_fault_enable
echo 0 > ${fan_hwmon_path}/fan2_fault_enable

# Global
echo 0 > ${fan_hwmon_path}/standby
echo 0 > ${fan_hwmon_path}/por
echo 1 > ${fan_hwmon_path}/disable_smbus_timeout
echo 1 > ${fan_hwmon_path}/ch2_local
echo 0 > ${fan_hwmon_path}/pwm_freq_hi

echo 0 > ${fan_hwmon_path}/fan1_pwm_mode
echo 2 > ${fan_hwmon_path}/fan1_duty
echo 0 > ${fan_hwmon_path}/fan1_temp_ch
echo 41 > ${fan_hwmon_path}/fan1_tach_min

# Fan 1 Config2
echo 0 > ${fan_hwmon_path}/fan1_rpm_step_size_a
echo 0 > ${fan_hwmon_path}/fan1_temp_step_size
echo 0 > ${fan_hwmon_path}/fan1_rpm_step_size_b
echo 0 > ${fan_hwmon_path}/fan1_rpm_start_step_b

# Fan 1 Config3
echo 0 > ${fan_hwmon_path}/fan1_spinup_disable
echo 0 > ${fan_hwmon_path}/fan1_therm_full_speed_enable
echo 1 > ${fan_hwmon_path}/fan1_pulse_stretch_disable
# freq 33.33 Hz
echo 1 > ${fan_hwmon_path}/fan1_pwm_freq

echo 0 > ${fan_hwmon_path}/fan1_pwm_mode
echo 2 > ${fan_hwmon_path}/fan1_duty
echo 0 > ${fan_hwmon_path}/fan1_temp_ch
echo 41 > ${fan_hwmon_path}/fan1_tach_min

# Fan 1 Config1
# sets manual RPM Mode
# sets speed range to 16000

echo 3 >  ${fan_hwmon_path}/fan1_ppr_count
echo 3 > ${fan_hwmon_path}/fan1_rpm_range
# Fan 1 Target speed set to 7000 RPM
echo 68 > ${fan_hwmon_path}/fan1_cnt_target

# Fan 2 Config1
# sets manual RPM Mode
# sets speed range to 16000

# Fan 2 Config2
echo 0 > ${fan_hwmon_path}/fan2_rpm_step_size_a
echo 0 > ${fan_hwmon_path}/fan2_temp_step_size
echo 0 > ${fan_hwmon_path}/fan2_rpm_step_size_b
echo 0 > ${fan_hwmon_path}/fan2_rpm_start_step_b

# Fan 2 Config3
echo 0 > ${fan_hwmon_path}/fan2_spinup_disable
echo 0 > ${fan_hwmon_path}/fan2_therm_full_speed_enable
echo 1 > ${fan_hwmon_path}/fan2_pulse_stretch_disable
# freq 33.33 Hz
echo 1 > ${fan_hwmon_path}/fan2_pwm_freq

echo 0 > ${fan_hwmon_path}/fan2_pwm_mode
echo 2 > ${fan_hwmon_path}/fan2_duty
echo 0 > ${fan_hwmon_path}/fan2_temp_ch
echo 41 > ${fan_hwmon_path}/fan2_tach_min

# Fan 2 Config1
# sets manual RPM Mode
# sets speed range to 16000

echo 3 >  ${fan_hwmon_path}/fan2_ppr_count
echo 3 > ${fan_hwmon_path}/fan2_rpm_range
# Fan 2 Target speed set to 7000 RPM
echo 68 > ${fan_hwmon_path}/fan2_cnt_target
