#!/bin/bash

#
# Copyright 2017 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing QSFPs.."

sysfs_cpld="/sys/bus/platform/devices/delta_ag7648_cpld.0"

# Sanity checking
for f in qsfp_lp_mode qsfp_reset qsfp_modsel; do
    [ -w "${sysfs_cpld}/$f" ] || {
        log_failure_msg "Unable to find writable sysfs file: ${sysfs_cpld}/$f"
        exit 1
    }
done

# disable lpmode
echo 0 > ${sysfs_cpld}/qsfp_lp_mode
# Reset all ports
echo 0 > ${sysfs_cpld}/qsfp_reset
# Disable access to QSFP initially
echo 0 > ${sysfs_cpld}/qsfp_modsel
