#!/bin/bash

#
# Copyright 2017 Cumulus Networks, Inc.
# All rights reserved.
#
# Invoked by /etc/init.d/hw_init


# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing SFPs.."

sysfs_cpld="/sys/bus/platform/devices/delta_ag7648_cpld.0"

# Sanity checking
for f in sfp_tx_enable sfp_i2c_enable; do
    [ -w "${sysfs_cpld}/$f" ] || {
        log_failure_msg "Unable to find writable sysfs file: ${sysfs_cpld}/$f"
        exit 1
    }
done

# set TX_ENABLE on all 48 SFP ports
echo 0xFFFFFFFFFFFF > ${sysfs_cpld}/sfp_tx_enable
echo 0 > ${sysfs_cpld}/sfp_i2c_enable
