#!/bin/sh

#
# Copyright (c) 2017 Cumulus Networks, Inc.  All rights reserved.
#

# Configure QSFP ports for high power mode.

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing QSFP+ ..."

sysfs_cpld="/sys/bus/platform/devices/delta_ag9032v1_cpld.0"

# Sanity checking:
for f in qsfp_modsel qsfp_lp_mode qsfp_reset ; do
    [ -w "${sysfs_cpld}/$f" ] || {
        log_failure_msg "Unable to find writable QSFP+ sysfs control: ${sysfs_cpld}/$f"
        exit 1
    }
done

qsfp_init()
{
	# disable lpmode, reset all QSFP ports
	echo 0 > /sys/bus/platform/devices/delta_ag9032v1_cpld.0/qsfp_lp_mode
	echo 0xffffffff > /sys/bus/platform/devices/delta_ag9032v1_cpld.0/qsfp_reset
	sleep .1
	echo 0 > /sys/bus/platform/devices/delta_ag9032v1_cpld.0/qsfp_reset
	# enable module select on all ports
	echo 0xffffffff > /sys/bus/platform/devices/delta_ag9032v1_cpld.0/qsfp_modsel
}

case "$1" in
  start)
	qsfp_init
	;;
  *)
	;;
esac
