#!/bin/sh

#
# Copyright (c) 2017 Cumulus Networks, Inc.  All rights reserved.
#

# When this switch boots to ONIE, the pwms get set into a mode where
# they run high and do not respond to sets to the pwm nodes. We need
# to set the pwms back to the proper mode.

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

sysfs="/sys/bus/i2c/devices/"

init_fan_pwms()
{
	for f in "25-002c" "25-002d" ; do
		for n in 1 2 3 4 5 ; do
			local hwmon_path=${sysfs}${f}/pwm${n}_enable
			[ -w "${hwmon_path}" ] || {
				log_failure_msg "Unable to find node ${hwmon_path}"
				continue;
			}
			echo 0 > ${hwmon_path}
		done
	done
}

case "$1" in
  start)
        init_fan_pwms
	;;
  *)
	;;
esac
