#!/bin/sh

#
# Copyright (c) 2018 Cumulus Networks, Inc.  All rights reserved.
#

# Configure QSFP28 ports for high power mode.

log_action_msg "  Initializing QSFP+ ..."

sysfs_cpld="/sys/devices/platform/delta_ag9032v2_cpld.0"

# Sanity checking:
for f in qsfp28_modsel qsfp28_lpmode qsfp28_reset ; do
    [ -w "${sysfs_cpld}/$f" ] || {
        echo "Unable to find writable QSFP28 sysfs control: ${sysfs_cpld}/$f"
        exit 1
    }
done

qsfp_init()
{
	# reset all QSFP ports
	echo 0xffffffff > ${sysfs_cpld}/qsfp28_reset
	sleep .1
	echo 0x00000000 > ${sysfs_cpld}/qsfp28_reset

	# disable lpmode and enable module select on all ports
	echo 0x00000000 > ${sysfs_cpld}/qsfp28_lpmode
	echo 0xffffffff > ${sysfs_cpld}/qsfp28_modsel
}

case "$1" in
  start)
	qsfp_init
	;;
  *)
	;;
esac
