#!/bin/bash

#
# Copyright 2014 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing Fans.."

# Enable Masks
echo 1 > /sys/bus/i2c/devices/1-002c/ch1_alert_disable
echo 1 > /sys/bus/i2c/devices/1-002c/ch2_alert_disable
echo 1 > /sys/bus/i2c/devices/1-002c/ch1_ot_disable
echo 1 > /sys/bus/i2c/devices/1-002c/ch2_ot_disable
echo 1 > /sys/bus/i2c/devices/1-002c/ch1_therm_disable
echo 1 > /sys/bus/i2c/devices/1-002c/ch2_therm_disable
echo 0 > /sys/bus/i2c/devices/1-002c/fan1_fault_enable
echo 0 > /sys/bus/i2c/devices/1-002c/fan2_fault_enable

# Global
echo 0 > /sys/bus/i2c/devices/1-002c/standby
echo 0 > /sys/bus/i2c/devices/1-002c/por
echo 1 > /sys/bus/i2c/devices/1-002c/disable_smbus_timeout
echo 1 > /sys/bus/i2c/devices/1-002c/ch2_local
echo 0 > /sys/bus/i2c/devices/1-002c/pwm_freq_hi

echo 0 > /sys/bus/i2c/devices/1-002c/fan1_pwm_mode
echo 2 > /sys/bus/i2c/devices/1-002c/fan1_duty
echo 0 > /sys/bus/i2c/devices/1-002c/fan1_temp_ch
echo 41 > /sys/bus/i2c/devices/1-002c/fan1_tach_min

# Fan 1 Config2
echo 0 > /sys/bus/i2c/devices/1-002c/fan1_rpm_step_size_a
echo 0 > /sys/bus/i2c/devices/1-002c/fan1_temp_step_size
echo 0 > /sys/bus/i2c/devices/1-002c/fan1_rpm_step_size_b
echo 0 > /sys/bus/i2c/devices/1-002c/fan1_rpm_start_step_b

# Fan 1 Config3
echo 0 > /sys/bus/i2c/devices/1-002c/fan1_spinup_disable
echo 0 > /sys/bus/i2c/devices/1-002c/fan1_therm_full_speed_enable
echo 1 > /sys/bus/i2c/devices/1-002c/fan1_pulse_stretch_disable
# freq 33.33 Hz
echo 1 > /sys/bus/i2c/devices/1-002c/fan1_pwm_freq

echo 0 > /sys/bus/i2c/devices/1-002c/fan1_pwm_mode
echo 2 > /sys/bus/i2c/devices/1-002c/fan1_duty
echo 0 > /sys/bus/i2c/devices/1-002c/fan1_temp_ch
echo 41 > /sys/bus/i2c/devices/1-002c/fan1_tach_min

# Fan 1 Config1
# sets manual RPM Mode
# sets speed range to 16000

echo 3 >  /sys/bus/i2c/devices/1-002c/fan1_ppr_count
echo 3 > /sys/bus/i2c/devices/1-002c/fan1_rpm_range
# Fan 1 Target speed set to 7000 RPM
echo 68 > /sys/bus/i2c/devices/1-002c/fan1_cnt_target

# Fan 2 Config1
# sets manual RPM Mode
# sets speed range to 16000

# Fan 2 Config2
echo 0 > /sys/bus/i2c/devices/1-002c/fan2_rpm_step_size_a
echo 0 > /sys/bus/i2c/devices/1-002c/fan2_temp_step_size
echo 0 > /sys/bus/i2c/devices/1-002c/fan2_rpm_step_size_b
echo 0 > /sys/bus/i2c/devices/1-002c/fan2_rpm_start_step_b

# Fan 2 Config3
echo 0 > /sys/bus/i2c/devices/1-002c/fan2_spinup_disable
echo 0 > /sys/bus/i2c/devices/1-002c/fan2_therm_full_speed_enable
echo 1 > /sys/bus/i2c/devices/1-002c/fan2_pulse_stretch_disable
# freq 33.33 Hz
echo 1 > /sys/bus/i2c/devices/1-002c/fan2_pwm_freq

echo 0 > /sys/bus/i2c/devices/1-002c/fan2_pwm_mode
echo 2 > /sys/bus/i2c/devices/1-002c/fan2_duty
echo 0 > /sys/bus/i2c/devices/1-002c/fan2_temp_ch
echo 41 > /sys/bus/i2c/devices/1-002c/fan2_tach_min

# Fan 2 Config1
# sets manual RPM Mode
# sets speed range to 16000

echo 3 >  /sys/bus/i2c/devices/1-002c/fan2_ppr_count
echo 3 > /sys/bus/i2c/devices/1-002c/fan2_rpm_range
# Fan 2 Target speed set to 7000 RPM
echo 68 > /sys/bus/i2c/devices/1-002c/fan2_cnt_target
