#!/bin/sh

#
# Copyright (c) 2018 Cumulus Networks, Inc.
# All rights reserved.
#

# Deassert reset and set lpmode = 0

echo "  Initializing QSFP28s..."

qsfp_path="/sys/devices/platform/lenovo_ne10032_cpld.0"

# Reset all QSFP28 ports

for p in 1_8 9_16 17_24 25_32; do
    if [ -f ${qsfp_path}/qsfp28_${p}_reset ]; then
	echo 0xFF > ${qsfp_path}/qsfp28_${p}_reset
    else
	echo "Unable to find ${qsfp_path}/qsfp28_${p}_reset sysfs file"
    fi
done

sleep .1

for p in 1_8 9_16 17_24 25_32; do
    echo 0x00 > ${qsfp_path}/qsfp28_${p}_reset
done

# Deassert lpmode on all QSFP28 ports
for p in 1_8 9_16 17_24 25_32; do
    if [ -f ${qsfp_path}/qsfp28_${p}_lpmode ]; then
	echo 0x00 > ${qsfp_path}/qsfp28_${p}_lpmode
    else
	echo "Unable to find ${qsfp_path}/qsfp28_${p}_lpmode sysfs file"
    fi
done

