#!/bin/sh

#
# Copyright (c) 2018 Cumulus Networks, Inc.
# All rights reserved.
#

# Deassert reset, set lpmode = 0, and set modsel = 1 for all QSFP28 ports

echo "  Initializing QSFP28s..."

qsfp_path="/sys/devices/platform/lenovo_ne2572_cpld.0"

# Reset all QSFP28 ports

if [ -f ${qsfp_path}/qsfp28_49_54_reset ]; then
    echo 0x3F > ${qsfp_path}/qsfp28_49_54_reset
else
    echo "Unable to find ${qsfp_path}/qsfp28_49_54_reset sysfs file"
fi

sleep .1

echo 0x00 > ${qsfp_path}/qsfp28_49_54_reset

# Deassert lpmode on all QSFP28 ports
if [ -f ${qsfp_path}/qsfp28_49_54_lpmode ]; then
    echo 0x00 > ${qsfp_path}/qsfp28_49_54_lpmode
else
    echo "Unable to find ${qsfp_path}/qsfp28_49_54_lpmode sysfs file"
fi

# Assert modsel for all QSFP28 ports
if [ -f ${qsfp_path}/qsfp28_49_54_modsel ]; then
    echo 0x3F > ${qsfp_path}/qsfp28_49_54_modsel
else
    echo "Unable to find ${qsfp_path}/qsfp28_49_54_modsel sysfs file"
fi

