#!/bin/sh

#
# Copyright (c) 2019 Cumulus Networks, Inc.
# All rights reserved.
#

echo "  Initializing SFF Pluggables..."

gpio_path="/sys/class/gpio"


# deassert tx_disble on all SFP28 ports

for i in `seq 1 48`; do
    tx_disable=${gpio_path}/port${i}_tx_disable/value
    [ -e ${tx_disable} ] && echo 0 > ${tx_disable}
done


# reset all QSFP28 ports and then deassert lpmode and  assert modsel

for i in `seq 49 56`; do
    reset=${gpio_path}/port${i}_reset/value
    [ -e ${reset} ] && echo 1 > ${reset}
done

sleep .1

for i in `seq 49 56`; do
    reset=${gpio_path}/port${i}_reset/value
    [ -e ${reset} ] && echo 0 > ${reset}
    lpmode=${gpio_path}/port${i}_lpmode/value
    [ -e ${lpmode} ] && echo 0 > ${lpmode}
    modsel=${gpio_path}/port${i}_modsel/value
    [ -e ${modsel} ] && echo 1 > ${modsel}
done

