#!/bin/sh

#
# Copyright 2016 Cumulus Networks, Inc.
# All rights reserved.
#

# Port LEDs should blink in green, hence setting port leds in 10G mode
# 10G  - Green
# 100G - White
# 40G  - Blue
# 25G  - Orange
# 50G  - Yellow

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing QSFP28 Port LEDs..."

qsfp_led_38_path="/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-17/17-0038/ix1_led1_"
qsfp_led_39_path="/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-17/17-0039/ix1_led2_"

# By default, LEDs should be set in 10G mode for green color
if [ -f ${qsfp_led_38_path}10G ];
then
    echo 0xFFFF > ${qsfp_led_38_path}10G
else
    log_failure_msg "Unable to find ${qsfp_led_38_path}10G sysfs file"
fi

if [ -f ${qsfp_led_39_path}10G ];
then
    echo 0xFFFF > ${qsfp_led_39_path}10G
else
    log_failure_msg "Unable to find ${qsfp_led_39_path}10G sysfs file"
fi

# By default, port led modes other than 10G should be turned off
if [ -f ${qsfp_led_38_path}100G ];
then
    echo 0x0 > ${qsfp_led_38_path}100G
else
    log_failure_msg "Unable to find ${qsfp_led_38_path}100G sysfs file"
fi

if [ -f ${qsfp_led_39_path}100G ];
then
    echo 0x0 > ${qsfp_led_39_path}100G
else
    log_failure_msg "Unable to find ${qsfp_led_39_path}100G sysfs file"
fi

if [ -f ${qsfp_led_38_path}50G ];
then
    echo 0x0 > ${qsfp_led_38_path}50G
else
    log_failure_msg "Unable to find ${qsfp_led_38_path}50G sysfs file"
fi

if [ -f ${qsfp_led_39_path}50G ];
then
    echo 0x0 > ${qsfp_led_39_path}50G
else
    log_failure_msg "Unable to find ${qsfp_led_39_path}50G sysfs file"
fi

if [ -f ${qsfp_led_38_path}25G ];
then
    echo 0x0 > ${qsfp_led_38_path}25G
else
    log_failure_msg "Unable to find ${qsfp_led_38_path}25G sysfs file"
fi

if [ -f ${qsfp_led_39_path}25G ];
then
    echo 0x0 > ${qsfp_led_39_path}25G
else
    log_failure_msg "Unable to find ${qsfp_led_39_path}25G sysfs file"
fi

if [ -f ${qsfp_led_38_path}40G ];
then
    echo 0x0 > ${qsfp_led_38_path}40G
else
    log_failure_msg "Unable to find ${qsfp_led_38_path}40G sysfs file"
fi

if [ -f ${qsfp_led_39_path}40G ];
then
    echo 0x0 > ${qsfp_led_39_path}40G
else
    log_failure_msg "Unable to find ${qsfp_led_39_path}40G sysfs file"
fi
