#!/bin/sh

#
# Copyright 2016 Cumulus Networks, Inc.
# All rights reserved.
#

# Deassert Reset and set lpmode = 0 for phyless QSFPs

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing QSFP28s..."

qsfp_38_path="/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-14/14-0038/ix1_qsfp1_"
qsfp_39_path="/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-14/14-0039/ix1_qsfp2_"

# By default, reset must be high (out of reset)
if [ -f ${qsfp_38_path}reset ];
then
    echo 0x0 > ${qsfp_38_path}reset
else
    log_failure_msg "Unable to find ${qsfp_38_path}reset sysfs file"
fi

if [ -f ${qsfp_39_path}reset ];
then
    echo 0x0 > ${qsfp_39_path}reset
else
    log_failure_msg "Unable to find ${qsfp_39_path}reset sysfs file"
fi

# By default, lpmode must be low (High power mode)
if [ -f ${qsfp_38_path}lp_mode ];
then
    echo 0x0 > ${qsfp_38_path}lp_mode
else
    log_failure_msg "Unable to find ${qsfp_38_path}lp_mode sysfs file"
fi

if [ -f ${qsfp_39_path}lp_mode ];
then
    echo 0x0 > ${qsfp_39_path}lp_mode
else
    log_failure_msg "Unable to find ${qsfp_39_path}lp_mode sysfs file"
fi
