#!/bin/sh

#
# Copyright 2017 Cumulus Networks, Inc.
# All rights reserved.
#

# Program I2C bus monitor reset time and enable the watchdog timer.

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing I2C bus monitor..."

mntr_path="/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-17/17-003f/ix1_mntr_"

#
# Program I2C bus monitor reset time of 5 seconds.
#
if [ -f ${mntr_path}reset_time_lo ];
then
    echo 0x0 > ${mntr_path}reset_time_lo
else
    log_failure_msg "Unable to find ${mntr_path}reset_time_lo sysfs file"
fi

if [ -f ${mntr_path}reset_time_hi ];
then
    echo 0x14 > ${mntr_path}reset_time_hi
else
    log_failure_msg "Unable to find ${mntr_path}reset_time_hi sysfs file"
fi

#
# Enable the I2C bus monitor watchdog timer.
#
if [ -f ${mntr_path}enable ];
then
    echo 0x1 > ${mntr_path}enable
#   echo 0x0 > ${mntr_path}enable
else
    log_failure_msg "Unable to find ${mntr_path}enable sysfs file"
fi
