#!/bin/sh

#
# Copyright 2017 Cumulus Networks, Inc.
# All rights reserved.
#

# Deassert Reset and set lpmode = 0 for phyless QSFPs

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing SFP28s/QSFP28s..."

sfp_16_path="/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-20/20-0038/ix2_sfps1_"
sfp_32_path="/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-20/20-0039/ix2_sfps2_"
sfp_48_path="/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-21/21-0038/ix2_sfps3_"

# By default, reset must be high (out of reset)
if [ -f ${sfp_16_path}tx_disable ];
then
    echo 0x0 > ${sfp_16_path}tx_disable
else
    log_failure_msg "Unable to find ${sfp_16_path}tx_disable sysfs file"
fi

if [ -f ${sfp_32_path}tx_disable ];
then
    echo 0x0 > ${sfp_32_path}tx_disable
else
    log_failure_msg "Unable to find ${sfp_32_path}tx_disable sysfs file"
fi

if [ -f ${sfp_48_path}tx_disable ];
then
    echo 0x0 > ${sfp_48_path}tx_disable
else
    log_failure_msg "Unable to find ${sfp_48_path}tx_disable sysfs file"
fi

# By default, lpmode must be low (High power mode)
# disable lpmode
for port in `seq 49 56`; do
        echo 0 > /sys/class/gpio/qsfp${port}_lpmode/value
        echo 1 > /sys/class/gpio/qsfp${port}_reset/value
done
