#!/bin/sh

#
# Copyright (c) 2018 Cumulus Networks, Inc.  All rights reserved.
#

# Set the LED decoder register to the correct value.

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Enabling LED decoder..."

# clear the LED decoder register to enable it.
sysfs_base="/sys/devices/pci0000:00/0000:00:1f.3/i2c-0"

[ -w "${sysfs_base}/i2c-14/14-0039/port_1_16_led_decoder" ] || {
    log_failure_msg "Unable for find writeable sysfs file: ${sysfs_base}/i2c-14/14-0039/port_1_16_led_decoder"
    exit 1
}
echo 0xfe > ${sysfs_base}/i2c-14/14-0039/port_1_16_led_decoder

[ -w "${sysfs_base}/i2c-15/15-0039/port_17_32_led_decoder" ] || {
    log_failure_msg "Unable for find writeable sysfs file: ${sysfs_base}/i2c-15/15-0039/port_17_32_led_decoder"
    exit 1
}
echo 0xfe > ${sysfs_base}/i2c-15/15-0039/port_17_32_led_decoder

