#!/bin/sh

#
# Copyright 2015 Cumulus Networks, Inc.
# All rights reserved.
#

# Deassert Reset and set lpmode = 0 for phyless QSFPs

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

qsfp_3a_path="/sys/devices/soc.0/ffe03000.i2c/i2c-0/i2c-14/14-003a/qsfp1_"
qsfp_3b_path="/sys/devices/soc.0/ffe03000.i2c/i2c-0/i2c-15/15-003b/qsfp2_"


# By default, reset must be high (out of reset)
if [ -f ${qsfp_3a_path}reset ];
then
    echo 0x0 > ${qsfp_3a_path}reset
fi

if [ -f ${qsfp_3b_path}reset ];
then
    echo 0x0 > ${qsfp_3b_path}reset
fi

# By default, lpmode must be low (High power mode)
if [ -f ${qsfp_3a_path}lp_mode ];
then
    echo 0x0 > ${qsfp_3a_path}lp_mode
fi

if [ -f ${qsfp_3b_path}lp_mode ];
then
    echo 0x0 > ${qsfp_3b_path}lp_mode
fi
