#!/bin/bash

#
# Copyright 2014 Cumulus Networks, Inc.
# All rights reserved.
#

# Invoked by /etc/init.d/hw_init

[ "$1" = "start" ] || exit 0

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

# This is needed to set 1.3mA output and enable SQW for RTC1.
cd /sys/bus/i2c/devices
bus=$(ls | grep 0068 | cut -c1-1)
if [ -z "$bus" ]; then
    log_failure_msg "could not find I2C bus to set RTC"
    exit 1
fi
i2cset -f -y $bus 0x68 0x10 0xaa
if [ $? -ne 0 ]; then
    log_failure_msg "RTC I2C set failure for bus $bus address 0x68"
    exit 1
fi
i2cset -f -y $bus 0x68 0x0e 0x18
if [ $? -ne 0 ]; then
    log_failure_msg "RTC I2C set failure for bus $bus address 0x68"
    exit 1
fi