#!/bin/sh

#
# Copyright (c) 2017,2018 Cumulus Networks, Inc.  All rights reserved.
#

# Set the correct modes for all front panel ports

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing SFP28s/QSFP28s..."

sfp_1_16="/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-10/10-0038/sfp_1_16_tx_disable"
sfp_17_32="/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-11/11-0038/sfp_17_32_tx_disable"
sfp_33_48="/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-12/12-0038/sfp_33_48_tx_disable"

# Turn off tx_disable to all the SFP+ ports
for i in $sfp_1_16 $sfp_17_32 $sfp_33_48; do
    if [ -f ${i} ];
    then
	echo 0x0 > ${i}
    else
	log_failure_msg "Unable to find ${i} sysfs file"
    fi
done

# Disable lpmode and reset all the QSFP28 ports
for port in `seq 49 52`; do
        echo 0 > /sys/class/gpio/qsfp${port}_lpmode/value
        echo 1 > /sys/class/gpio/qsfp${port}_reset/value
done

sleep .1

for port in `seq 49 52`; do
        echo 0 > /sys/class/gpio/qsfp${port}_reset/value
done
