#!/bin/sh

#
# Copyright (c) 2017 Cumulus Networks, Inc.  All rights reserved.
#

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing SFP28/QSFP28 Port LEDs..."

led_cpld_path="/sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-10/10-0039"

# By default, the LED Decoder should be disabled for the LEDs to work
if [ -f ${led_cpld_path}/led_decoder ];
then
    echo 0x0 > ${led_cpld_path}/led_decoder
else
    log_failure_msg "Unable to find ${led_cpld_path}/led_decoder sysfs file"
fi

